using System;
using System.IO;

internal sealed class Delegate806 : MulticastDelegate
{
	public extern Stream Invoke(object object_0, string string_0);

	public static Stream smethod_0(object object_0, string string_0, Delegate806 delegate806_1)
	{
		return delegate806_1(object_0, string_0);
	}

	public extern Delegate806(object object_0, IntPtr intptr_0);

	static Delegate806()
	{
		Class10.smethod_13(typeof(Delegate806).TypeHandle);
	}

	internal static Delegate806 delegate806_0;
}
